<div class="flex flex-column pt-8">
  <div class="flex align-items-center justify-content-center h-4rem font-bold text-4xl border-round m-2">
    <p>Tanulmányi Értékelő Rendszer</p>
  </div>
  <div *ngIf="this.terStatus === 'NOTREADY'" class="flex align-items-center justify-content-center">
    <form [formGroup]="myForm">
      <div class="flex align-items-center justify-content-center">
        <div class="flex flex-column pt-4">
          <div class="mt-3">
            <div class="flex align-items-center text-left">
              Publikációk
            </div>
            <div class="flex align-items-center justify-content-evenly ">
              <div class="mr-8">
                <p-dropdown [style]="{'width':'50rem', 'height': '2.8rem'}"
                            [showClear]="true" [options]="pubList" formControlName="pub">
                  <ng-template let-item pTemplate="selectedItem">
                    <div>{{ item }}</div>
                  </ng-template>
                  <ng-template let-item pTemplate="item">
                    <div>{{ item }}</div>
                  </ng-template>
                </p-dropdown>
                <span
                  *ngIf="myForm.controls['pub'].invalid && myForm.controls['pub'].dirty || myForm.controls['pub'].touched">
                <div *ngIf="myForm.controls['pub'].errors?.['required']" class="block p-error">Szükséges kitölteni a mezőt!</div>
                </span>
              </div>
              <div>Érték: <input pInputText pKeyFilter="int" class="w-4 text-center" formControlName="pubIndex"
                                 (keyup)="sumFormControls()"> %
                <span
                  *ngIf="myForm.controls['pubIndex'].invalid && myForm.controls['pubIndex'].dirty || myForm.controls['pubIndex'].touched">
                <div *ngIf="myForm.controls['pubIndex'].errors?.['required']" class="block p-error">
                  Szükséges kitölteni a mezőt!</div>
                </span>
              </div>
            </div>
          </div>
          <div class="mt-5">
            <div class="flex align-items-center  text-left">
              Kutatási tevékenység
            </div>
            <div class="flex align-items-center justify-content-between ">
              <div class="flex align-items-center justify-content-evenly ">
                <div class="mr-8">
                  <p-dropdown [style]="{'width':'50rem', 'height': '2.8rem'}"
                              [showClear]="true" [options]="search" formControlName="search">
                    <ng-template let-item pTemplate="selectedItem">
                      <div>{{ item }}</div>
                    </ng-template>
                    <ng-template let-item pTemplate="item">
                      <div>{{ item }}</div>
                    </ng-template>
                  </p-dropdown>
                  <span
                    *ngIf="myForm.controls['search'].invalid && myForm.controls['search'].dirty || myForm.controls['search'].touched">
                <div *ngIf="myForm.controls['search'].errors?.['required']" class="block p-error">
                  Szükséges kitölteni a mezőt!</div>
                </span>
                </div>
                <div>Érték: <input pInputText pKeyFilter="int" class="w-4 text-center" formControlName="searchIndex"
                                   (keyup)="sumFormControls()"> %
                  <span
                    *ngIf="myForm.controls['searchIndex'].invalid && myForm.controls['searchIndex'].dirty || myForm.controls['searchIndex'].touched">
                <div *ngIf="myForm.controls['searchIndex'].errors?.['required']" class="block p-error">
                  Szükséges kitölteni a mezőt!</div>
                </span>
                </div>
              </div>
            </div>
          </div>
          <div class="mt-5">
            <div class="flex align-items-center  text-left">
              Oktatás támogató tevékenység
            </div>
            <div class="flex align-items-center justify-content-between ">
              <div class="flex align-items-center justify-content-evenly ">
                <div class="mr-8">
                  <p-dropdown [style]="{'width':'50rem', 'height': '2.8rem'}"
                              [showClear]="true" [options]="teach" formControlName="teach">
                    <ng-template let-item pTemplate="selectedItem">
                      <div>{{ item }}</div>
                    </ng-template>
                    <ng-template let-item pTemplate="item">
                      <div>{{ item }}</div>
                    </ng-template>
                  </p-dropdown>
                  <span
                    *ngIf="myForm.controls['teach'].invalid && myForm.controls['teach'].dirty || myForm.controls['teach'].touched">
                <div *ngIf="myForm.controls['teach'].errors?.['required']" class="block p-error">
                  Szükséges kitölteni a mezőt!</div>
                </span>
                </div>
                <div>Érték: <input pInputText pKeyFilter="int" class="w-4 text-center" formControlName="teachIndex"
                                   (keyup)="sumFormControls()"> %
                  <span
                    *ngIf="myForm.controls['teachIndex'].invalid && myForm.controls['teachIndex'].dirty || myForm.controls['teachIndex'].touched">
                <div *ngIf="myForm.controls['teachIndex'].errors?.['required']" class="block p-error">
                  Szükséges kitölteni a mezőt!</div>
                </span>
                </div>
              </div>
            </div>
          </div>
          <div class="mt-5">
            <div class="flex align-items-center  text-left">
              Egyéni tevékenység
            </div>
            <div class="flex align-items-center justify-content-between ">
              <div>
                <input pInputText [style]="{'width':'50rem'}" formControlName="plus">
              </div>
              <div>Érték: <input pInputText pKeyFilter="int" class="w-4 text-center" formControlName="plusIndex"
                                 (keyup)="sumFormControls()"> %
              </div>
            </div>
          </div>
          <p-divider></p-divider>
          <div class="mt-2">
            <div class="flex align-items-center justify-content-center font-bold ">
              <div class="text-right mr-5">
                Vállalások súlyozásának összege:
              </div>
              <div class="mr-5">{{ totalIndex }} %</div>
              <div *ngIf="tooMuchTotalindex" class="text-red-500">Nem lehet 100%-nál többet vállalni!</div>
            </div>
          </div>
          <div class="mt-5">
            <div class="flex align-items-center justify-content-center ">
              <p-button label="Vállalások leadása" [style]="{'width':'20rem'}" [disabled]="!formIsValid()"
                        (onClick)="insertToTerByOwn()"></p-button>
            </div>
          </div>
        </div>
      </div>
    </form>
  </div>
  <div *ngIf="this.terStatus === 'ACCEPT'" class="flex align-items-center justify-content-center mt-5">
    <p-toast></p-toast>
    <p-table [value]="terDataDtos" class="text-center">
      <!--
      <ng-template pTemplate="caption">
        <div class="flex">
          <button type="button" pButton pRipple icon="pi pi-file-excel" (click)="exportExcel()"
                  class="p-button-success mr-2" pTooltip="XLS" tooltipPosition="bottom"></button>
          <button type="button" pButton pRipple icon="pi pi-file-pdf" (click)="exportPdf()"
                  class="p-button-warning mr-2" pTooltip="PDF" tooltipPosition="bottom"></button>
        </div>
      </ng-template>
      -->
      <ng-template pTemplate="header">
        <tr>
          <th pSortableColumn="userName">Név</th>
          <th>Publikáció</th>
          <th style="width: 5rem" class="text-center">Súlyozás (%)</th>
          <th>Kutatási tevékenység</th>
          <th style="width: 5rem">Súlyozás (%)</th>
          <th>Oktatás támogató tevékenység</th>
          <th style="width: 5rem">Súlyozás (%)</th>
          <th>Egyéni tevékenység</th>
          <th style="width: 5rem">Súlyozás (%)</th>
          <th pSortableColumn="status">Státusz</th>
        </tr>
      </ng-template>
      <ng-template pTemplate="body" let-product>
        <tr>
          <td>{{ product.name }}</td>
          <td>{{ product.pub }}</td>
          <td>{{ product.pubValue }}</td>
          <td>{{ product.search }}</td>
          <td>{{ product.searchValue }}</td>
          <td>{{ product.teach }}</td>
          <td>{{ product.teachValue }}</td>
          <td>{{ product.plusz }}</td>
          <td>{{ product.pluszValue }}</td>
          <td>
            <p-tag [value]="getStatuszValue(product.status)" [severity]="getStatusz(product.status)"></p-tag>
          </td>
        </tr>
      </ng-template>
    </p-table>
  </div>
</div>
<p-confirmDialog>
  <ng-template pTemplate="message" let-message>
    <div class="flex flex-column align-items-center w-full gap-3 border-bottom-1 surface-border">
      <p>{{ message.message }}</p>
    </div>
  </ng-template>
</p-confirmDialog>
<p-toast></p-toast>
<p-button (onClick)="LOG()">LOG</p-button>
